Subject: Re: [PATCH 6/8 v2] sh-tools: add a run_merge_tool function

From: David Aguilar <[email-masked]>
Date: Wed, 1 Apr 2009 22:33:46 -0700

On  0, James Pickens <[email-masked]> wrote:
> On Mon, Mar 30, 2009 at 1:11 AM, David Aguilar <[email-masked]> wrote:
> > This function launches merge tools and will be used to refactor
> > git-(diff|merge)tool.
> 
> Thanks for writing difftool; I find it quite useful.  I tried it with
> tkdiff, and noticed that it shows the 'merge preview' window even though it
> isn't doing a merge.  If a user with unstaged changes were to carelessly
> click the 'save and exit' button, his changes could be lost.  So I think
> it's a good idea to stop the merge preview window from showing up under
> difftool.  To do that I think you just have to remove the '-o "$MERGED"'
> option to tkdiff.
> 
> James

Hi James

I included your suggestion in my latest patch series.
Once things settle down with the current series I'll
add diffuse to {diff,merge}tool and friends.

So, yup, this shouldn't be an issue in future versions of
difftool.

Thanks

-- 

	David